## gtktide 2.10

=== build_x86/Makefile ===
# Makefile.in generated by automake 1.8.5 from Makefile.am.
# Makefile.  Generated from Makefile.in by configure.

# Copyright (C) 1994, 1995, 1996, 1997, 1998, 1999, 2000, 2001, 2002,
# 2003, 2004  Free Software Foundation, Inc.
# This Makefile.in is free software; the Free Software Foundation
# gives unlimited permission to copy and/or distribute it,
# with or without modifications, as long as this notice is preserved.

# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY, to the extent permitted by law; without
# even the implied warranty of MERCHANTABILITY or FITNESS FOR A
# PARTICULAR PURPOSE.



# $Id: Makefile.am 2955 2008-01-25 23:17:01Z flaterco $


SOURCES = $(gtktide_SOURCES) $(tide_SOURCES) $(xtide_SOURCES) $(xttpd_SOURCES)

srcdir = ..
top_srcdir = ..
VPATH = ..
pkgdatadir = $(datadir)/xtide
pkglibdir = $(libdir)/xtide
pkgincludedir = $(includedir)/xtide
top_builddir = .
am__cd = CDPATH="$${ZSH_VERSION+.}$(PATH_SEPARATOR)" && cd
INSTALL = /scratchbox/tools/bin/install -c
install_sh_DATA = $(install_sh) -c -m 644
install_sh_PROGRAM = $(install_sh) -c
install_sh_SCRIPT = $(install_sh) -c
INSTALL_HEADER = $(INSTALL_DATA)
transform = $(program_transform_name)
NORMAL_INSTALL = :
PRE_INSTALL = :
POST_INSTALL = :
NORMAL_UNINSTALL = :
PRE_UNINSTALL = :
POST_UNINSTALL = :
host_triplet = i486-pc-linux-gnu
#am__append_1 = xtide
#am__append_2 = xtide.1
#am__append_3 = tide
#am__append_4 = tide.1
am__append_5 = gtktide
bin_PROGRAMS = $(am__EXEEXT_4)
#sbin_PROGRAMS = xttpd$(EXEEXT)
#am__append_6 = xttpd.8
am__append_7 = Dstr.cc Dstr.hh
DIST_COMMON = README $(am__configure_deps) $(dist_man_MANS) \
	$(srcdir)/Makefile.am $(srcdir)/Makefile.in \
	$(srcdir)/config.h.in $(top_srcdir)/configure AUTHORS COPYING \
	ChangeLog INSTALL NEWS config.guess config.sub depcomp \
	install-sh ltmain.sh missing xml_l.cc xml_y.cc xml_y.h ylwrap
subdir = .
ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
am__aclocal_m4_deps = $(top_srcdir)/configure.ac
am__configure_deps = $(am__aclocal_m4_deps) $(CONFIGURE_DEPENDENCIES) \
	$(ACLOCAL_M4)
am__CONFIG_DISTCLEAN_FILES = config.status config.cache config.log \
 configure.lineno configure.status.lineno
mkinstalldirs = $(mkdir_p)
CONFIG_HEADER = config.h
CONFIG_CLEAN_FILES =
#am__EXEEXT_1 = xtide$(EXEEXT)
#am__EXEEXT_2 = tide$(EXEEXT)
am__EXEEXT_3 = gtktide$(EXEEXT)
am__EXEEXT_4 = $(am__EXEEXT_1) $(am__EXEEXT_2) $(am__EXEEXT_3)
am__installdirs = "$(DESTDIR)$(bindir)" "$(DESTDIR)$(sbindir)" "$(DESTDIR)$(man1dir)" "$(DESTDIR)$(man8dir)" "$(DESTDIR)$(xtidedocdir)"
binPROGRAMS_INSTALL = $(INSTALL_PROGRAM)
sbinPROGRAMS_INSTALL = $(INSTALL_PROGRAM)
PROGRAMS = $(bin_PROGRAMS) $(sbin_PROGRAMS)
am__gtktide_SOURCES_DIST = Amplitude.cc Amplitude.hh Angle.cc Angle.hh \
	Banner.cc Banner.hh BetterMap.hh Calendar.cc Calendar.hh \
	CalendarFormC.cc CalendarFormC.hh CalendarFormH.cc \
	CalendarFormH.hh CalendarFormL.cc CalendarFormL.hh \
	CalendarFormNotC.cc CalendarFormNotC.hh CalendarFormT.cc \
	CalendarFormT.hh Colors.cc Colors.hh Configurable.hh \
	Constituent.cc Constituent.hh ConstituentSet.cc \
	ConstituentSet.hh Coordinates.cc Coordinates.hh \
	CurrentBearing.cc CurrentBearing.hh Date.cc Date.hh Errors.hh \
	Global.cc Global.hh Graph.cc Graph.hh HarmonicsFile.cc \
	HarmonicsFile.hh HarmonicsPath.cc HarmonicsPath.hh Interval.cc \
	Interval.hh MetaField.cc MetaField.hh ModeFormat.hh \
	Nullable.cc Nullable.hh NullableInterval.cc \
	NullableInterval.hh NullablePredictionValue.cc \
	NullablePredictionValue.hh Offsets.cc Offsets.hh \
	PredictionValue.cc PredictionValue.hh RGBGraph.cc RGBGraph.hh \
	SafeVector.hh Settings.cc Settings.hh Skycal.cc Skycal.hh \
	Speed.cc Speed.hh Station.cc Station.hh StationIndex.cc \
	StationIndex.hh StationRef.cc StationRef.hh \
	SubordinateStation.cc SubordinateStation.hh TTYGraph.cc \
	TTYGraph.hh TideEvent.cc TideEvent.hh TideEventsOrganizer.cc \
	TideEventsOrganizer.hh Timestamp.cc Timestamp.hh Units.cc \
	Units.hh Year.cc Year.hh common.hh config.hh glyphs.hh rgb.hh \
	xml_l.ll xml_y.yy xmlparser.hh Dstr.cc Dstr.hh gtktide.cc
am__objects_1 = gtktide-Dstr.$(OBJEXT)
am__objects_2 = gtktide-Amplitude.$(OBJEXT) gtktide-Angle.$(OBJEXT) \
	gtktide-Banner.$(OBJEXT) gtktide-Calendar.$(OBJEXT) \
	gtktide-CalendarFormC.$(OBJEXT) \
	gtktide-CalendarFormH.$(OBJEXT) \
	gtktide-CalendarFormL.$(OBJEXT) \
	gtktide-CalendarFormNotC.$(OBJEXT) \
	gtktide-CalendarFormT.$(OBJEXT) gtktide-Colors.$(OBJEXT) \
	gtktide-Constituent.$(OBJEXT) gtktide-ConstituentSet.$(OBJEXT) \
	gtktide-Coordinates.$(OBJEXT) gtktide-CurrentBearing.$(OBJEXT) \
	gtktide-Date.$(OBJEXT) gtktide-Global.$(OBJEXT) \
	gtktide-Graph.$(OBJEXT) gtktide-HarmonicsFile.$(OBJEXT) \
	gtktide-HarmonicsPath.$(OBJEXT) gtktide-Interval.$(OBJEXT) \
	gtktide-MetaField.$(OBJEXT) gtktide-Nullable.$(OBJEXT) \
	gtktide-NullableInterval.$(OBJEXT) \
	gtktide-NullablePredictionValue.$(OBJEXT) \
	gtktide-Offsets.$(OBJEXT) gtktide-PredictionValue.$(OBJEXT) \
	gtktide-RGBGraph.$(OBJEXT) gtktide-Settings.$(OBJEXT) \
	gtktide-Skycal.$(OBJEXT) gtktide-Speed.$(OBJEXT) \
	gtktide-Station.$(OBJEXT) gtktide-StationIndex.$(OBJEXT) \
	gtktide-StationRef.$(OBJEXT) \
	gtktide-SubordinateStation.$(OBJEXT) \
	gtktide-TTYGraph.$(OBJEXT) gtktide-TideEvent.$(OBJEXT) \
	gtktide-TideEventsOrganizer.$(OBJEXT) \
	gtktide-Timestamp.$(OBJEXT) gtktide-Units.$(OBJEXT) \
	gtktide-Year.$(OBJEXT) gtktide-xml_l.$(OBJEXT) \
	gtktide-xml_y.$(OBJEXT) $(am__objects_1)
am_gtktide_OBJECTS = $(am__objects_2) \
	gtktide-gtktide.$(OBJEXT)
gtktide_OBJECTS = $(am_gtktide_OBJECTS)
am__DEPENDENCIES_1 = libtcd/libtcd.la
am__DEPENDENCIES_2 =
gtktide_DEPENDENCIES = $(am__DEPENDENCIES_1) \
	$(am__DEPENDENCIES_2) \
	$(am__DEPENDENCIES_2) \
	$(am__DEPENDENCIES_2) \
	$(am__DEPENDENCIES_2) \
	$(am__DEPENDENCIES_2) \
	$(am__DEPENDENCIES_2) \
	$(am__DEPENDENCIES_2) \
	$(am__DEPENDENCIES_2) \
	$(am__DEPENDENCIES_2)
am__tide_SOURCES_DIST = Amplitude.cc Amplitude.hh Angle.cc Angle.hh \
	Banner.cc Banner.hh BetterMap.hh Calendar.cc Calendar.hh \
	CalendarFormC.cc CalendarFormC.hh CalendarFormH.cc \
	CalendarFormH.hh CalendarFormL.cc CalendarFormL.hh \
	CalendarFormNotC.cc CalendarFormNotC.hh CalendarFormT.cc \
	CalendarFormT.hh Colors.cc Colors.hh Configurable.hh \
	Constituent.cc Constituent.hh ConstituentSet.cc \
	ConstituentSet.hh Coordinates.cc Coordinates.hh \
	CurrentBearing.cc CurrentBearing.hh Date.cc Date.hh Errors.hh \
	Global.cc Global.hh Graph.cc Graph.hh HarmonicsFile.cc \
	HarmonicsFile.hh HarmonicsPath.cc HarmonicsPath.hh Interval.cc \
	Interval.hh MetaField.cc MetaField.hh ModeFormat.hh \
	Nullable.cc Nullable.hh NullableInterval.cc \
	NullableInterval.hh NullablePredictionValue.cc \
	NullablePredictionValue.hh Offsets.cc Offsets.hh \
	PredictionValue.cc PredictionValue.hh RGBGraph.cc RGBGraph.hh \
	SafeVector.hh Settings.cc Settings.hh Skycal.cc Skycal.hh \
	Speed.cc Speed.hh Station.cc Station.hh StationIndex.cc \
	StationIndex.hh StationRef.cc StationRef.hh \
	SubordinateStation.cc SubordinateStation.hh TTYGraph.cc \
	TTYGraph.hh TideEvent.cc TideEvent.hh TideEventsOrganizer.cc \
	TideEventsOrganizer.hh Timestamp.cc Timestamp.hh Units.cc \
	Units.hh Year.cc Year.hh common.hh config.hh glyphs.hh rgb.hh \
	xml_l.ll xml_y.yy xmlparser.hh Dstr.cc Dstr.hh tide.cc
am__objects_3 = Dstr.$(OBJEXT)
am__objects_4 = Amplitude.$(OBJEXT) Angle.$(OBJEXT) Banner.$(OBJEXT) \
	Calendar.$(OBJEXT) CalendarFormC.$(OBJEXT) \
	CalendarFormH.$(OBJEXT) CalendarFormL.$(OBJEXT) \
	CalendarFormNotC.$(OBJEXT) CalendarFormT.$(OBJEXT) \
	Colors.$(OBJEXT) Constituent.$(OBJEXT) \
	ConstituentSet.$(OBJEXT) Coordinates.$(OBJEXT) \
	CurrentBearing.$(OBJEXT) Date.$(OBJEXT) Global.$(OBJEXT) \
	Graph.$(OBJEXT) HarmonicsFile.$(OBJEXT) \
	HarmonicsPath.$(OBJEXT) Interval.$(OBJEXT) MetaField.$(OBJEXT) \
	Nullable.$(OBJEXT) NullableInterval.$(OBJEXT) \
	NullablePredictionValue.$(OBJEXT) Offsets.$(OBJEXT) \
	PredictionValue.$(OBJEXT) RGBGraph.$(OBJEXT) \
	Settings.$(OBJEXT) Skycal.$(OBJEXT) Speed.$(OBJEXT) \
	Station.$(OBJEXT) StationIndex.$(OBJEXT) StationRef.$(OBJEXT) \
	SubordinateStation.$(OBJEXT) TTYGraph.$(OBJEXT) \
	TideEvent.$(OBJEXT) TideEventsOrganizer.$(OBJEXT) \
	Timestamp.$(OBJEXT) Units.$(OBJEXT) Year.$(OBJEXT) \
	xml_l.$(OBJEXT) xml_y.$(OBJEXT) $(am__objects_3)
#am_tide_OBJECTS = $(am__objects_4) tide.$(OBJEXT)
tide_OBJECTS = $(am_tide_OBJECTS)
tide_LDADD = $(LDADD)
tide_DEPENDENCIES = $(am__DEPENDENCIES_1)
am__xtide_SOURCES_DIST = Amplitude.cc Amplitude.hh Angle.cc Angle.hh \
	Banner.cc Banner.hh BetterMap.hh Calendar.cc Calendar.hh \
	CalendarFormC.cc CalendarFormC.hh CalendarFormH.cc \
	CalendarFormH.hh CalendarFormL.cc CalendarFormL.hh \
	CalendarFormNotC.cc CalendarFormNotC.hh CalendarFormT.cc \
	CalendarFormT.hh Colors.cc Colors.hh Configurable.hh \
	Constituent.cc Constituent.hh ConstituentSet.cc \
	ConstituentSet.hh Coordinates.cc Coordinates.hh \
	CurrentBearing.cc CurrentBearing.hh Date.cc Date.hh Errors.hh \
	Global.cc Global.hh Graph.cc Graph.hh HarmonicsFile.cc \
	HarmonicsFile.hh HarmonicsPath.cc HarmonicsPath.hh Interval.cc \
	Interval.hh MetaField.cc MetaField.hh ModeFormat.hh \
	Nullable.cc Nullable.hh NullableInterval.cc \
	NullableInterval.hh NullablePredictionValue.cc \
	NullablePredictionValue.hh Offsets.cc Offsets.hh \
	PredictionValue.cc PredictionValue.hh RGBGraph.cc RGBGraph.hh \
	SafeVector.hh Settings.cc Settings.hh Skycal.cc Skycal.hh \
	Speed.cc Speed.hh Station.cc Station.hh StationIndex.cc \
	StationIndex.hh StationRef.cc StationRef.hh \
	SubordinateStation.cc SubordinateStation.hh TTYGraph.cc \
	TTYGraph.hh TideEvent.cc TideEvent.hh TideEventsOrganizer.cc \
	TideEventsOrganizer.hh Timestamp.cc Timestamp.hh Units.cc \
	Units.hh Year.cc Year.hh common.hh config.hh glyphs.hh rgb.hh \
	xml_l.ll xml_y.yy xmlparser.hh Dstr.cc Dstr.hh \
	errorExclaim.xpm.hh errorSunk.xpm.hh icon_48x48_3color.xpm.hh \
	wvsrtv.cc xtide.cc xtide.hh xxAspect.cc xxAspect.hh xxClock.cc \
	xxClock.hh xxDisclaimer.cc xxDisclaimer.hh xxErrorBox.cc \
	xxErrorBox.hh xxFilename.cc xxFilename.hh xxGlobal.cc \
	xxGlobal.hh xxGlobe.cc xxGlobe.hh xxGraphMode.cc \
	xxGraphMode.hh xxHelpBox.cc xxHelpBox.hh xxHorizDialog.cc \
	xxHorizDialog.hh xxLocationList.cc xxLocationList.hh xxMap.cc \
	xxMap.hh xxMarkLevel.cc xxMarkLevel.hh xxMouseWheelViewport.cc \
	xxMouseWheelViewport.hh xxMultiChoice.cc xxMultiChoice.hh \
	xxPixmapGraph.cc xxPixmapGraph.hh xxPredictionWindow.cc \
	xxPredictionWindow.hh xxRareModeSavePrompts.cc \
	xxRareModeSavePrompts.hh xxRedrawable.cc xxRedrawable.hh \
	xxRoot.cc xxRoot.hh xxSimplePrompt.cc xxSimplePrompt.hh \
	xxStep.cc xxStep.hh xxTextMode.cc xxTextMode.hh xxTimestamp.cc \
	xxTimestamp.hh xxTimestampDialog.cc xxTimestampDialog.hh \
	xxUnsignedChooser.cc xxUnsignedChooser.hh xxWidget.cc \
	xxWidget.hh xxWindow.cc xxWindow.hh xxX.cc xxX.hh
#am_xtide_OBJECTS = $(am__objects_4) wvsrtv.$(OBJEXT) \
#	xtide.$(OBJEXT) xxAspect.$(OBJEXT) \
#	xxClock.$(OBJEXT) xxDisclaimer.$(OBJEXT) \
#	xxErrorBox.$(OBJEXT) xxFilename.$(OBJEXT) \
#	xxGlobal.$(OBJEXT) xxGlobe.$(OBJEXT) \
#	xxGraphMode.$(OBJEXT) xxHelpBox.$(OBJEXT) \
#	xxHorizDialog.$(OBJEXT) \
#	xxLocationList.$(OBJEXT) xxMap.$(OBJEXT) \
#	xxMarkLevel.$(OBJEXT) \
#	xxMouseWheelViewport.$(OBJEXT) \
#	xxMultiChoice.$(OBJEXT) \
#	xxPixmapGraph.$(OBJEXT) \
#	xxPredictionWindow.$(OBJEXT) \
#	xxRareModeSavePrompts.$(OBJEXT) \
#	xxRedrawable.$(OBJEXT) xxRoot.$(OBJEXT) \
#	xxSimplePrompt.$(OBJEXT) xxStep.$(OBJEXT) \
#	xxTextMode.$(OBJEXT) xxTimestamp.$(OBJEXT) \
#	xxTimestampDialog.$(OBJEXT) \
#	xxUnsignedChooser.$(OBJEXT) \
#	xxWidget.$(OBJEXT) xxWindow.$(OBJEXT) \
#	xxX.$(OBJEXT)
xtide_OBJECTS = $(am_xtide_OBJECTS)
#xtide_DEPENDENCIES = $(am__DEPENDENCIES_1)
am__xttpd_SOURCES_DIST = Amplitude.cc Amplitude.hh Angle.cc Angle.hh \
	Banner.cc Banner.hh BetterMap.hh Calendar.cc Calendar.hh \
	CalendarFormC.cc CalendarFormC.hh CalendarFormH.cc \
	CalendarFormH.hh CalendarFormL.cc CalendarFormL.hh \
	CalendarFormNotC.cc CalendarFormNotC.hh CalendarFormT.cc \

=== build_x86/data/Makefile ===
# Makefile.in generated by automake 1.8.5 from Makefile.am.
# data/Makefile.  Generated from Makefile.in by configure.

# Copyright (C) 1994, 1995, 1996, 1997, 1998, 1999, 2000, 2001, 2002,
# 2003, 2004  Free Software Foundation, Inc.
# This Makefile.in is free software; the Free Software Foundation
# gives unlimited permission to copy and/or distribute it,
# with or without modifications, as long as this notice is preserved.

# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY, to the extent permitted by law; without
# even the implied warranty of MERCHANTABILITY or FITNESS FOR A
# PARTICULAR PURPOSE.



srcdir = ../../data
top_srcdir = ../..
VPATH = ../../data
pkgdatadir = $(datadir)/xtide
pkglibdir = $(libdir)/xtide
pkgincludedir = $(includedir)/xtide
top_builddir = ..
am__cd = CDPATH="$${ZSH_VERSION+.}$(PATH_SEPARATOR)" && cd
INSTALL = /scratchbox/tools/bin/install -c
install_sh_DATA = $(install_sh) -c -m 644
install_sh_PROGRAM = $(install_sh) -c
install_sh_SCRIPT = $(install_sh) -c
INSTALL_HEADER = $(INSTALL_DATA)
transform = $(program_transform_name)
NORMAL_INSTALL = :
PRE_INSTALL = :
POST_INSTALL = :
NORMAL_UNINSTALL = :
PRE_UNINSTALL = :
POST_UNINSTALL = :
host_triplet = i486-pc-linux-gnu
subdir = data
DIST_COMMON = $(srcdir)/Makefile.am $(srcdir)/Makefile.in
ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
am__aclocal_m4_deps = $(top_srcdir)/configure.ac
am__configure_deps = $(am__aclocal_m4_deps) $(CONFIGURE_DEPENDENCIES) \
	$(ACLOCAL_M4)
mkinstalldirs = $(mkdir_p)
CONFIG_HEADER = $(top_builddir)/config.h
CONFIG_CLEAN_FILES =
SOURCES =
DIST_SOURCES =
am__installdirs = "$(DESTDIR)$(desktopdir)" "$(DESTDIR)$(harmonicsdir)" "$(DESTDIR)$(icons_128x128dir)" "$(DESTDIR)$(icons_22x22dir)" "$(DESTDIR)$(icons_24x24dir)" "$(DESTDIR)$(icons_26x26dir)" "$(DESTDIR)$(icons_32x32dir)" "$(DESTDIR)$(icons_48x48dir)" "$(DESTDIR)$(icons_64x54dir)" "$(DESTDIR)$(icons_64x64dir)" "$(DESTDIR)$(servicedir)" "$(DESTDIR)$(xtidedatadir)"
desktopDATA_INSTALL = $(INSTALL_DATA)
harmonicsDATA_INSTALL = $(INSTALL_DATA)
icons_128x128DATA_INSTALL = $(INSTALL_DATA)
icons_22x22DATA_INSTALL = $(INSTALL_DATA)
icons_24x24DATA_INSTALL = $(INSTALL_DATA)
icons_26x26DATA_INSTALL = $(INSTALL_DATA)
icons_32x32DATA_INSTALL = $(INSTALL_DATA)
icons_48x48DATA_INSTALL = $(INSTALL_DATA)
icons_64x54DATA_INSTALL = $(INSTALL_DATA)
icons_64x64DATA_INSTALL = $(INSTALL_DATA)
serviceDATA_INSTALL = $(INSTALL_DATA)
xtidedataDATA_INSTALL = $(INSTALL_DATA)
DATA = $(desktop_DATA) $(harmonics_DATA) $(icons_128x128_DATA) \
	$(icons_22x22_DATA) $(icons_24x24_DATA) $(icons_26x26_DATA) \
	$(icons_32x32_DATA) $(icons_48x48_DATA) $(icons_64x54_DATA) \
	$(icons_64x64_DATA) $(service_DATA) $(xtidedata_DATA)
DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)
ACLOCAL = ${SHELL} /home/mike/projects/xtide/xtide-svn/missing --run aclocal-1.8
ALL_LINGUAS = 
AMDEP_FALSE = #
AMDEP_TRUE = 
AMTAR = ${SHELL} /home/mike/projects/xtide/xtide-svn/missing --run tar
AR = ar
AUTOCONF = ${SHELL} /home/mike/projects/xtide/xtide-svn/missing --run autoconf
AUTOHEADER = ${SHELL} /home/mike/projects/xtide/xtide-svn/missing --run autoheader
AUTOMAKE = ${SHELL} /home/mike/projects/xtide/xtide-svn/missing --run automake-1.8
AWK = gawk
BUILD_GTKTIDE_FALSE = #
BUILD_GTKTIDE_TRUE = 
BUILD_TIDE_FALSE = 
BUILD_TIDE_TRUE = #
BUILD_XTIDE_FALSE = 
BUILD_XTIDE_TRUE = #
BUILD_XTTPD_FALSE = 
BUILD_XTTPD_TRUE = #
CATALOGS = 
CATOBJEXT = .gmo
CC = gcc
CCDEPMODE = depmode=gcc3
CFLAGS = -g -O2
CPP = gcc -E
CPPFLAGS = 
CXX = g++
CXXCPP = g++ -E
CXXDEPMODE = depmode=gcc3
CXXFLAGS = -g -O2
CYGPATH_W = echo
DATADIRNAME = share
DEFS = -DHAVE_CONFIG_H
DEPDIR = .deps
DSYMUTIL = 
ECHO = echo
ECHO_C = 
ECHO_N = -n
ECHO_T = 
EGREP = /scratchbox/tools/bin/grep -E
EXEEXT = 
F77 = 
FFLAGS = 
GMOFILES = 
GMSGFMT = /scratchbox/tools/bin/msgfmt
GREP = /scratchbox/tools/bin/grep
GTKTIDEDEPS_CFLAGS = -DMAEMO_CHANGES -pthread -I/usr/include/gtk-2.0 -I/usr/lib/gtk-2.0/include -I/usr/include/atk-1.0 -I/usr/include/cairo -I/usr/include/pango-1.0 -I/usr/include/glib-2.0 -I/usr/lib/glib-2.0/include -I/usr/include/pixman-1 -I/usr/include/freetype2 -I/usr/include/libpng12 -I/usr/include/libglade-2.0 -I/usr/include/libxml2 -I/usr/include/gnome-vfs-2.0 -I/usr/lib/gnome-vfs-2.0/include -I/usr/include/gconf/2 -I/usr/include/dbus-1.0 -I/usr/lib/dbus-1.0/include  
GTKTIDEDEPS_LIBS = -pthread -lglade-2.0 -lgtk-x11-2.0 -lxml2 -lgdk-x11-2.0 -latk-1.0 -lgio-2.0 -lpangoft2-1.0 -lgdk_pixbuf-2.0 -lpangocairo-1.0 -lcairo -lpango-1.0 -lfreetype -lfontconfig -lgnomevfs-2 -lgconf-2 -lgthread-2.0 -lrt -lgmodule-2.0 -ldbus-glib-1 -ldbus-1 -lpthread -lgobject-2.0 -lglib-2.0  
HILDON_1_CFLAGS = -DMAEMO_CHANGES -DMAEMO_GTK -I/usr/include/hildon-1 -I/usr/include/gtk-2.0 -I/usr/lib/gtk-2.0/include -I/usr/include/atk-1.0 -I/usr/include/cairo -I/usr/include/pango-1.0 -I/usr/include/glib-2.0 -I/usr/lib/glib-2.0/include -I/usr/include/pixman-1 -I/usr/include/freetype2 -I/usr/include/libpng12  
HILDON_1_LIBS = -lhildon-1 -lgtk-x11-2.0 -lgdk-x11-2.0 -latk-1.0 -lgio-2.0 -lpangoft2-1.0 -lgdk_pixbuf-2.0 -lpangocairo-1.0 -lcairo -lpango-1.0 -lfreetype -lfontconfig -lgobject-2.0 -lgmodule-2.0 -lglib-2.0  
HILDON_FM_2_CFLAGS = -DMAEMO_CHANGES -pthread -I/usr/include/hildon-fm-2 -I/usr/include/gtk-2.0 -I/usr/include/gconf/2 -I/usr/include/gnome-vfs-2.0 -I/usr/lib/gnome-vfs-2.0/include -I/usr/lib/gtk-2.0/include -I/usr/include/atk-1.0 -I/usr/include/cairo -I/usr/include/pango-1.0 -I/usr/include/glib-2.0 -I/usr/lib/glib-2.0/include -I/usr/include/pixman-1 -I/usr/include/freetype2 -I/usr/include/libpng12 -I/usr/include/dbus-1.0 -I/usr/lib/dbus-1.0/include  
HILDON_FM_2_LIBS = -pthread -lhildonfm -lgtk-x11-2.0 -lgnomevfs-2 -lgdk-x11-2.0 -latk-1.0 -lgio-2.0 -lpangoft2-1.0 -lgdk_pixbuf-2.0 -lpangocairo-1.0 -lcairo -lpango-1.0 -lfreetype -lfontconfig -lgconf-2 -lgthread-2.0 -lrt -lgmodule-2.0 -ldbus-glib-1 -ldbus-1 -lpthread -lgobject-2.0 -lglib-2.0  
HILDON_FM_CFLAGS = 
HILDON_FM_LIBS = 
HILDON_LIBS_CFLAGS = 
HILDON_LIBS_LIBS = 
HILDON_MIME_CFLAGS = -pthread -I/usr/include/gnome-vfs-2.0 -I/usr/lib/gnome-vfs-2.0/include -I/usr/include/dbus-1.0 -I/usr/include/gconf/2 -I/usr/lib/dbus-1.0/include -I/usr/include/glib-2.0 -I/usr/lib/glib-2.0/include  
HILDON_MIME_LIBS = -pthread -lhildonmime -lgnomevfs-2 -lgconf-2 -lgthread-2.0 -lrt -lgmodule-2.0 -ldbus-glib-1 -ldbus-1 -lpthread -lgobject-2.0 -lglib-2.0  
INSTALL_DATA = ${INSTALL} -m 644
INSTALL_PROGRAM = ${INSTALL}
INSTALL_SCRIPT = ${INSTALL}
INSTALL_STRIP_PROGRAM = ${SHELL} $(install_sh) -c -s
INSTOBJEXT = .mo
INTLLIBS = 
INTLTOOL_CAVES_RULE = %.caves:     %.caves.in     $(INTLTOOL_MERGE) $(wildcard $(top_srcdir)/po/*.po) ; LC_ALL=C $(INTLTOOL_MERGE) -d -u -c $(top_builddir)/po/.intltool-merge-cache $(top_srcdir)/po $< $@
INTLTOOL_DESKTOP_RULE = %.desktop:   %.desktop.in   $(INTLTOOL_MERGE) $(wildcard $(top_srcdir)/po/*.po) ; LC_ALL=C $(INTLTOOL_MERGE) -d -u -c $(top_builddir)/po/.intltool-merge-cache $(top_srcdir)/po $< $@
INTLTOOL_DIRECTORY_RULE = %.directory: %.directory.in $(INTLTOOL_MERGE) $(wildcard $(top_srcdir)/po/*.po) ; LC_ALL=C $(INTLTOOL_MERGE) -d -u -c $(top_builddir)/po/.intltool-merge-cache $(top_srcdir)/po $< $@
INTLTOOL_EXTRACT = /scratchbox/devkits/doctools/bin/intltool-extract
INTLTOOL_KBD_RULE = %.kbd:       %.kbd.in       $(INTLTOOL_MERGE) $(wildcard $(top_srcdir)/po/*.po) ; LC_ALL=C $(INTLTOOL_MERGE) -x -u -m -c $(top_builddir)/po/.intltool-merge-cache $(top_srcdir)/po $< $@
INTLTOOL_KEYS_RULE = %.keys:      %.keys.in      $(INTLTOOL_MERGE) $(wildcard $(top_srcdir)/po/*.po) ; LC_ALL=C $(INTLTOOL_MERGE) -k -u -c $(top_builddir)/po/.intltool-merge-cache $(top_srcdir)/po $< $@
INTLTOOL_MERGE = /scratchbox/devkits/doctools/bin/intltool-merge
INTLTOOL_OAF_RULE = %.oaf:       %.oaf.in       $(INTLTOOL_MERGE) $(wildcard $(top_srcdir)/po/*.po) ; LC_ALL=C $(INTLTOOL_MERGE) -o -p $(top_srcdir)/po $< $@
INTLTOOL_PERL = /scratchbox/tools/bin/perl
INTLTOOL_POLICY_RULE = %.policy:    %.policy.in    $(INTLTOOL_MERGE) $(wildcard $(top_srcdir)/po/*.po) ; LC_ALL=C $(INTLTOOL_MERGE) -x -u -c $(top_builddir)/po/.intltool-merge-cache $(top_srcdir)/po $< $@
INTLTOOL_PONG_RULE = %.pong:      %.pong.in      $(INTLTOOL_MERGE) $(wildcard $(top_srcdir)/po/*.po) ; LC_ALL=C $(INTLTOOL_MERGE) -x -u -c $(top_builddir)/po/.intltool-merge-cache $(top_srcdir)/po $< $@
INTLTOOL_PROP_RULE = %.prop:      %.prop.in      $(INTLTOOL_MERGE) $(wildcard $(top_srcdir)/po/*.po) ; LC_ALL=C $(INTLTOOL_MERGE) -d -u -c $(top_builddir)/po/.intltool-merge-cache $(top_srcdir)/po $< $@
INTLTOOL_SCHEMAS_RULE = %.schemas:   %.schemas.in   $(INTLTOOL_MERGE) $(wildcard $(top_srcdir)/po/*.po) ; LC_ALL=C $(INTLTOOL_MERGE) -s -u -c $(top_builddir)/po/.intltool-merge-cache $(top_srcdir)/po $< $@
INTLTOOL_SERVER_RULE = %.server:    %.server.in    $(INTLTOOL_MERGE) $(wildcard $(top_srcdir)/po/*.po) ; LC_ALL=C $(INTLTOOL_MERGE) -o -u -c $(top_builddir)/po/.intltool-merge-cache $(top_srcdir)/po $< $@
INTLTOOL_SERVICE_RULE = %.service: %.service.in   $(INTLTOOL_MERGE) $(wildcard $(top_srcdir)/po/*.po) ; LC_ALL=C $(INTLTOOL_MERGE) -d -u -c $(top_builddir)/po/.intltool-merge-cache $(top_srcdir)/po $< $@
INTLTOOL_SHEET_RULE = %.sheet:     %.sheet.in     $(INTLTOOL_MERGE) $(wildcard $(top_srcdir)/po/*.po) ; LC_ALL=C $(INTLTOOL_MERGE) -x -u -c $(top_builddir)/po/.intltool-merge-cache $(top_srcdir)/po $< $@
INTLTOOL_SOUNDLIST_RULE = %.soundlist: %.soundlist.in $(INTLTOOL_MERGE) $(wildcard $(top_srcdir)/po/*.po) ; LC_ALL=C $(INTLTOOL_MERGE) -d -u -c $(top_builddir)/po/.intltool-merge-cache $(top_srcdir)/po $< $@
INTLTOOL_THEME_RULE = %.theme:     %.theme.in     $(INTLTOOL_MERGE) $(wildcard $(top_srcdir)/po/*.po) ; LC_ALL=C $(INTLTOOL_MERGE) -d -u -c $(top_builddir)/po/.intltool-merge-cache $(top_srcdir)/po $< $@
INTLTOOL_UI_RULE = %.ui:        %.ui.in        $(INTLTOOL_MERGE) $(wildcard $(top_srcdir)/po/*.po) ; LC_ALL=C $(INTLTOOL_MERGE) -x -u -c $(top_builddir)/po/.intltool-merge-cache $(top_srcdir)/po $< $@
INTLTOOL_UPDATE = /scratchbox/devkits/doctools/bin/intltool-update
INTLTOOL_XAM_RULE = %.xam:       %.xml.in       $(INTLTOOL_MERGE) $(wildcard $(top_srcdir)/po/*.po) ; LC_ALL=C $(INTLTOOL_MERGE) -x -u -c $(top_builddir)/po/.intltool-merge-cache $(top_srcdir)/po $< $@
INTLTOOL_XML_NOMERGE_RULE = %.xml:       %.xml.in       $(INTLTOOL_MERGE) ; LC_ALL=C $(INTLTOOL_MERGE) -x -u /tmp $< $@
INTLTOOL_XML_RULE = %.xml:       %.xml.in       $(INTLTOOL_MERGE) $(wildcard $(top_srcdir)/po/*.po) ; LC_ALL=C $(INTLTOOL_MERGE) -x -u -c $(top_builddir)/po/.intltool-merge-cache $(top_srcdir)/po $< $@
LDFLAGS = 
LEX = flex
LEXLIB = 
LEX_OUTPUT_ROOT = lex.yy
LIBLOCATION_CFLAGS = -I/usr/include/glib-2.0 -I/usr/lib/glib-2.0/include -I/usr/include/gconf/2 -I/usr/include/dbus-1.0 -I/usr/lib/dbus-1.0/include  
LIBLOCATION_LIBS = -llocation -lgconf-2 -ldbus-glib-1 -ldbus-1 -lpthread -lgobject-2.0 -lglib-2.0  
LIBOBJS = 
LIBS = -lpng -lz  -lm
LIBTOOL = $(SHELL) $(top_builddir)/libtool
LN_S = ln -s
LTLIBOBJS = 
MAEMO_FALSE = #
MAEMO_TRUE = 
MAKEINFO = ${SHELL} /home/mike/projects/xtide/xtide-svn/missing --run makeinfo
MKINSTALLDIRS = ../mkinstalldirs
MSGFMT = /scratchbox/tools/bin/msgfmt
MSGFMT_OPTS = -c
MSGMERGE = /scratchbox/tools/bin/msgmerge
NMEDIT = 
NO_LIBDSTR_FALSE = #
NO_LIBDSTR_TRUE = 
OBJEXT = o
OSSO_CFLAGS = -I/usr/include/dbus-1.0 -I/usr/include/glib-2.0 -I/usr/lib/glib-2.0/include -I/usr/lib/dbus-1.0/include  
OSSO_LIBS = -losso -ldbus-glib-1 -ldbus-1 -lpthread -lgobject-2.0 -lglib-2.0  
OSSO_MIME_CFLAGS = 
OSSO_MIME_LIBS = 
PACKAGE = xtide
PACKAGE_BUGREPORT = dave@flaterco.com
PACKAGE_NAME = XTide
PACKAGE_STRING = XTide 2.10
PACKAGE_TARNAME = xtide
PACKAGE_VERSION = 2.10
PATH_SEPARATOR = :
PKG_CONFIG = /scratchbox/tools/bin/pkg-config
POFILES = 
POSUB = po
PO_IN_DATADIR_FALSE = 
PO_IN_DATADIR_TRUE = 
RANLIB = ranlib
SED = /scratchbox/tools/bin/sed
SET_MAKE = 
SHELL = /bin/sh
STRIP = strip
USE_NLS = yes
VERSION = 2.10
XGETTEXT = /scratchbox/tools/bin/xgettext
XMKMF = 
X_CFLAGS = 
X_EXTRA_LIBS =

=== build_x86/libtcd/Makefile ===
# Makefile.in generated by automake 1.8.5 from Makefile.am.
# libtcd/Makefile.  Generated from Makefile.in by configure.

# Copyright (C) 1994, 1995, 1996, 1997, 1998, 1999, 2000, 2001, 2002,
# 2003, 2004  Free Software Foundation, Inc.
# This Makefile.in is free software; the Free Software Foundation
# gives unlimited permission to copy and/or distribute it,
# with or without modifications, as long as this notice is preserved.

# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY, to the extent permitted by law; without
# even the implied warranty of MERCHANTABILITY or FITNESS FOR A
# PARTICULAR PURPOSE.



SOURCES = $(libtcd_la_SOURCES)

srcdir = ../../libtcd
top_srcdir = ../..
VPATH = ../../libtcd
pkgdatadir = $(datadir)/xtide
pkglibdir = $(libdir)/xtide
pkgincludedir = $(includedir)/xtide
top_builddir = ..
am__cd = CDPATH="$${ZSH_VERSION+.}$(PATH_SEPARATOR)" && cd
INSTALL = /scratchbox/tools/bin/install -c
install_sh_DATA = $(install_sh) -c -m 644
install_sh_PROGRAM = $(install_sh) -c
install_sh_SCRIPT = $(install_sh) -c
INSTALL_HEADER = $(INSTALL_DATA)
transform = $(program_transform_name)
NORMAL_INSTALL = :
PRE_INSTALL = :
POST_INSTALL = :
NORMAL_UNINSTALL = :
PRE_UNINSTALL = :
POST_UNINSTALL = :
host_triplet = i486-pc-linux-gnu
subdir = libtcd
DIST_COMMON = $(srcdir)/Makefile.am $(srcdir)/Makefile.in \
	$(srcdir)/tcd.h.in
ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
am__aclocal_m4_deps = $(top_srcdir)/configure.ac
am__configure_deps = $(am__aclocal_m4_deps) $(CONFIGURE_DEPENDENCIES) \
	$(ACLOCAL_M4)
mkinstalldirs = $(mkdir_p)
CONFIG_HEADER = $(top_builddir)/config.h
CONFIG_CLEAN_FILES = tcd.h
LTLIBRARIES = $(noinst_LTLIBRARIES)
libtcd_la_LIBADD =
am_libtcd_la_OBJECTS = bit_pack.lo tide_db.lo
libtcd_la_OBJECTS = $(am_libtcd_la_OBJECTS)
DEFAULT_INCLUDES = -I. -I$(srcdir) -I$(top_builddir)
depcomp = $(SHELL) $(top_srcdir)/depcomp
am__depfiles_maybe = depfiles
DEP_FILES = ./$(DEPDIR)/bit_pack.Plo \
	./$(DEPDIR)/tide_db.Plo
COMPILE = $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) \
	$(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS)
LTCOMPILE = $(LIBTOOL) --mode=compile $(CC) $(DEFS) \
	$(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) \
	$(AM_CFLAGS) $(CFLAGS)
CCLD = $(CC)
LINK = $(LIBTOOL) --mode=link $(CCLD) $(AM_CFLAGS) $(CFLAGS) \
	$(AM_LDFLAGS) $(LDFLAGS) -o $@
SOURCES = $(libtcd_la_SOURCES)
DIST_SOURCES = $(libtcd_la_SOURCES)
ETAGS = etags
CTAGS = ctags
DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)
ACLOCAL = ${SHELL} /home/mike/projects/xtide/xtide-svn/missing --run aclocal-1.8
ALL_LINGUAS = 
AMDEP_FALSE = #
AMDEP_TRUE = 
AMTAR = ${SHELL} /home/mike/projects/xtide/xtide-svn/missing --run tar
AR = ar
AUTOCONF = ${SHELL} /home/mike/projects/xtide/xtide-svn/missing --run autoconf
AUTOHEADER = ${SHELL} /home/mike/projects/xtide/xtide-svn/missing --run autoheader
AUTOMAKE = ${SHELL} /home/mike/projects/xtide/xtide-svn/missing --run automake-1.8
AWK = gawk
BUILD_GTKTIDE_FALSE = #
BUILD_GTKTIDE_TRUE = 
BUILD_TIDE_FALSE = 
BUILD_TIDE_TRUE = #
BUILD_XTIDE_FALSE = 
BUILD_XTIDE_TRUE = #
BUILD_XTTPD_FALSE = 
BUILD_XTTPD_TRUE = #
CATALOGS = 
CATOBJEXT = .gmo
CC = gcc
CCDEPMODE = depmode=gcc3
CFLAGS = -g -O2
CPP = gcc -E
CPPFLAGS = 
CXX = g++
CXXCPP = g++ -E
CXXDEPMODE = depmode=gcc3
CXXFLAGS = -g -O2
CYGPATH_W = echo
DATADIRNAME = share
DEFS = -DHAVE_CONFIG_H
DEPDIR = .deps
DSYMUTIL = 
ECHO = echo
ECHO_C = 
ECHO_N = -n
ECHO_T = 
EGREP = /scratchbox/tools/bin/grep -E
EXEEXT = 
F77 = 
FFLAGS = 
GMOFILES = 
GMSGFMT = /scratchbox/tools/bin/msgfmt
GREP = /scratchbox/tools/bin/grep
GTKTIDEDEPS_CFLAGS = -DMAEMO_CHANGES -pthread -I/usr/include/gtk-2.0 -I/usr/lib/gtk-2.0/include -I/usr/include/atk-1.0 -I/usr/include/cairo -I/usr/include/pango-1.0 -I/usr/include/glib-2.0 -I/usr/lib/glib-2.0/include -I/usr/include/pixman-1 -I/usr/include/freetype2 -I/usr/include/libpng12 -I/usr/include/libglade-2.0 -I/usr/include/libxml2 -I/usr/include/gnome-vfs-2.0 -I/usr/lib/gnome-vfs-2.0/include -I/usr/include/gconf/2 -I/usr/include/dbus-1.0 -I/usr/lib/dbus-1.0/include  
GTKTIDEDEPS_LIBS = -pthread -lglade-2.0 -lgtk-x11-2.0 -lxml2 -lgdk-x11-2.0 -latk-1.0 -lgio-2.0 -lpangoft2-1.0 -lgdk_pixbuf-2.0 -lpangocairo-1.0 -lcairo -lpango-1.0 -lfreetype -lfontconfig -lgnomevfs-2 -lgconf-2 -lgthread-2.0 -lrt -lgmodule-2.0 -ldbus-glib-1 -ldbus-1 -lpthread -lgobject-2.0 -lglib-2.0  
HILDON_1_CFLAGS = -DMAEMO_CHANGES -DMAEMO_GTK -I/usr/include/hildon-1 -I/usr/include/gtk-2.0 -I/usr/lib/gtk-2.0/include -I/usr/include/atk-1.0 -I/usr/include/cairo -I/usr/include/pango-1.0 -I/usr/include/glib-2.0 -I/usr/lib/glib-2.0/include -I/usr/include/pixman-1 -I/usr/include/freetype2 -I/usr/include/libpng12  
HILDON_1_LIBS = -lhildon-1 -lgtk-x11-2.0 -lgdk-x11-2.0 -latk-1.0 -lgio-2.0 -lpangoft2-1.0 -lgdk_pixbuf-2.0 -lpangocairo-1.0 -lcairo -lpango-1.0 -lfreetype -lfontconfig -lgobject-2.0 -lgmodule-2.0 -lglib-2.0  
HILDON_FM_2_CFLAGS = -DMAEMO_CHANGES -pthread -I/usr/include/hildon-fm-2 -I/usr/include/gtk-2.0 -I/usr/include/gconf/2 -I/usr/include/gnome-vfs-2.0 -I/usr/lib/gnome-vfs-2.0/include -I/usr/lib/gtk-2.0/include -I/usr/include/atk-1.0 -I/usr/include/cairo -I/usr/include/pango-1.0 -I/usr/include/glib-2.0 -I/usr/lib/glib-2.0/include -I/usr/include/pixman-1 -I/usr/include/freetype2 -I/usr/include/libpng12 -I/usr/include/dbus-1.0 -I/usr/lib/dbus-1.0/include  
HILDON_FM_2_LIBS = -pthread -lhildonfm -lgtk-x11-2.0 -lgnomevfs-2 -lgdk-x11-2.0 -latk-1.0 -lgio-2.0 -lpangoft2-1.0 -lgdk_pixbuf-2.0 -lpangocairo-1.0 -lcairo -lpango-1.0 -lfreetype -lfontconfig -lgconf-2 -lgthread-2.0 -lrt -lgmodule-2.0 -ldbus-glib-1 -ldbus-1 -lpthread -lgobject-2.0 -lglib-2.0  
HILDON_FM_CFLAGS = 
HILDON_FM_LIBS = 
HILDON_LIBS_CFLAGS = 
HILDON_LIBS_LIBS = 
HILDON_MIME_CFLAGS = -pthread -I/usr/include/gnome-vfs-2.0 -I/usr/lib/gnome-vfs-2.0/include -I/usr/include/dbus-1.0 -I/usr/include/gconf/2 -I/usr/lib/dbus-1.0/include -I/usr/include/glib-2.0 -I/usr/lib/glib-2.0/include  
HILDON_MIME_LIBS = -pthread -lhildonmime -lgnomevfs-2 -lgconf-2 -lgthread-2.0 -lrt -lgmodule-2.0 -ldbus-glib-1 -ldbus-1 -lpthread -lgobject-2.0 -lglib-2.0  
INSTALL_DATA = ${INSTALL} -m 644
INSTALL_PROGRAM = ${INSTALL}
INSTALL_SCRIPT = ${INSTALL}
INSTALL_STRIP_PROGRAM = ${SHELL} $(install_sh) -c -s
INSTOBJEXT = .mo
INTLLIBS = 
INTLTOOL_CAVES_RULE = %.caves:     %.caves.in     $(INTLTOOL_MERGE) $(wildcard $(top_srcdir)/po/*.po) ; LC_ALL=C $(INTLTOOL_MERGE) -d -u -c $(top_builddir)/po/.intltool-merge-cache $(top_srcdir)/po $< $@
INTLTOOL_DESKTOP_RULE = %.desktop:   %.desktop.in   $(INTLTOOL_MERGE) $(wildcard $(top_srcdir)/po/*.po) ; LC_ALL=C $(INTLTOOL_MERGE) -d -u -c $(top_builddir)/po/.intltool-merge-cache $(top_srcdir)/po $< $@
INTLTOOL_DIRECTORY_RULE = %.directory: %.directory.in $(INTLTOOL_MERGE) $(wildcard $(top_srcdir)/po/*.po) ; LC_ALL=C $(INTLTOOL_MERGE) -d -u -c $(top_builddir)/po/.intltool-merge-cache $(top_srcdir)/po $< $@
INTLTOOL_EXTRACT = /scratchbox/devkits/doctools/bin/intltool-extract
INTLTOOL_KBD_RULE = %.kbd:       %.kbd.in       $(INTLTOOL_MERGE) $(wildcard $(top_srcdir)/po/*.po) ; LC_ALL=C $(INTLTOOL_MERGE) -x -u -m -c $(top_builddir)/po/.intltool-merge-cache $(top_srcdir)/po $< $@
INTLTOOL_KEYS_RULE = %.keys:      %.keys.in      $(INTLTOOL_MERGE) $(wildcard $(top_srcdir)/po/*.po) ; LC_ALL=C $(INTLTOOL_MERGE) -k -u -c $(top_builddir)/po/.intltool-merge-cache $(top_srcdir)/po $< $@
INTLTOOL_MERGE = /scratchbox/devkits/doctools/bin/intltool-merge
INTLTOOL_OAF_RULE = %.oaf:       %.oaf.in       $(INTLTOOL_MERGE) $(wildcard $(top_srcdir)/po/*.po) ; LC_ALL=C $(INTLTOOL_MERGE) -o -p $(top_srcdir)/po $< $@
INTLTOOL_PERL = /scratchbox/tools/bin/perl
INTLTOOL_POLICY_RULE = %.policy:    %.policy.in    $(INTLTOOL_MERGE) $(wildcard $(top_srcdir)/po/*.po) ; LC_ALL=C $(INTLTOOL_MERGE) -x -u -c $(top_builddir)/po/.intltool-merge-cache $(top_srcdir)/po $< $@
INTLTOOL_PONG_RULE = %.pong:      %.pong.in      $(INTLTOOL_MERGE) $(wildcard $(top_srcdir)/po/*.po) ; LC_ALL=C $(INTLTOOL_MERGE) -x -u -c $(top_builddir)/po/.intltool-merge-cache $(top_srcdir)/po $< $@
INTLTOOL_PROP_RULE = %.prop:      %.prop.in      $(INTLTOOL_MERGE) $(wildcard $(top_srcdir)/po/*.po) ; LC_ALL=C $(INTLTOOL_MERGE) -d -u -c $(top_builddir)/po/.intltool-merge-cache $(top_srcdir)/po $< $@
INTLTOOL_SCHEMAS_RULE = %.schemas:   %.schemas.in   $(INTLTOOL_MERGE) $(wildcard $(top_srcdir)/po/*.po) ; LC_ALL=C $(INTLTOOL_MERGE) -s -u -c $(top_builddir)/po/.intltool-merge-cache $(top_srcdir)/po $< $@
INTLTOOL_SERVER_RULE = %.server:    %.server.in    $(INTLTOOL_MERGE) $(wildcard $(top_srcdir)/po/*.po) ; LC_ALL=C $(INTLTOOL_MERGE) -o -u -c $(top_builddir)/po/.intltool-merge-cache $(top_srcdir)/po $< $@
INTLTOOL_SERVICE_RULE = %.service: %.service.in   $(INTLTOOL_MERGE) $(wildcard $(top_srcdir)/po/*.po) ; LC_ALL=C $(INTLTOOL_MERGE) -d -u -c $(top_builddir)/po/.intltool-merge-cache $(top_srcdir)/po $< $@
INTLTOOL_SHEET_RULE = %.sheet:     %.sheet.in     $(INTLTOOL_MERGE) $(wildcard $(top_srcdir)/po/*.po) ; LC_ALL=C $(INTLTOOL_MERGE) -x -u -c $(top_builddir)/po/.intltool-merge-cache $(top_srcdir)/po $< $@
INTLTOOL_SOUNDLIST_RULE = %.soundlist: %.soundlist.in $(INTLTOOL_MERGE) $(wildcard $(top_srcdir)/po/*.po) ; LC_ALL=C $(INTLTOOL_MERGE) -d -u -c $(top_builddir)/po/.intltool-merge-cache $(top_srcdir)/po $< $@
INTLTOOL_THEME_RULE = %.theme:     %.theme.in     $(INTLTOOL_MERGE) $(wildcard $(top_srcdir)/po/*.po) ; LC_ALL=C $(INTLTOOL_MERGE) -d -u -c $(top_builddir)/po/.intltool-merge-cache $(top_srcdir)/po $< $@
INTLTOOL_UI_RULE = %.ui:        %.ui.in        $(INTLTOOL_MERGE) $(wildcard $(top_srcdir)/po/*.po) ; LC_ALL=C $(INTLTOOL_MERGE) -x -u -c $(top_builddir)/po/.intltool-merge-cache $(top_srcdir)/po $< $@
INTLTOOL_UPDATE = /scratchbox/devkits/doctools/bin/intltool-update
INTLTOOL_XAM_RULE = %.xam:       %.xml.in       $(INTLTOOL_MERGE) $(wildcard $(top_srcdir)/po/*.po) ; LC_ALL=C $(INTLTOOL_MERGE) -x -u -c $(top_builddir)/po/.intltool-merge-cache $(top_srcdir)/po $< $@
INTLTOOL_XML_NOMERGE_RULE = %.xml:       %.xml.in       $(INTLTOOL_MERGE) ; LC_ALL=C $(INTLTOOL_MERGE) -x -u /tmp $< $@
INTLTOOL_XML_RULE = %.xml:       %.xml.in       $(INTLTOOL_MERGE) $(wildcard $(top_srcdir)/po/*.po) ; LC_ALL=C $(INTLTOOL_MERGE) -x -u -c $(top_builddir)/po/.intltool-merge-cache $(top_srcdir)/po $< $@
LDFLAGS = 
LEX = flex
LEXLIB = 
LEX_OUTPUT_ROOT = lex.yy
LIBLOCATION_CFLAGS = -I/usr/include/glib-2.0 -I/usr/lib/glib-2.0/include -I/usr/include/gconf/2 -I/usr/include/dbus-1.0 -I/usr/lib/dbus-1.0/include  
LIBLOCATION_LIBS = -llocation -lgconf-2 -ldbus-glib-1 -ldbus-1 -lpthread -lgobject-2.0 -lglib-2.0  
LIBOBJS = 
LIBS = -lpng -lz  -lm
LIBTOOL = $(SHELL) $(top_builddir)/libtool
LN_S = ln -s
LTLIBOBJS = 
MAEMO_FALSE = #
MAEMO_TRUE = 
MAKEINFO = ${SHELL} /home/mike/projects/xtide/xtide-svn/missing --run makeinfo
MKINSTALLDIRS = ../mkinstalldirs
MSGFMT = /scratchbox/tools/bin/msgfmt
MSGFMT_OPTS = -c
MSGMERGE = /scratchbox/tools/bin/msgmerge
NMEDIT = 
NO_LIBDSTR_FALSE = #
NO_LIBDSTR_TRUE = 
OBJEXT = o
OSSO_CFLAGS = -I/usr/include/dbus-1.0 -I/usr/include/glib-2.0 -I/usr/lib/glib-2.0/include -I/usr/lib/dbus-1.0/include  
OSSO_LIBS = -losso -ldbus-glib-1 -ldbus-1 -lpthread -lgobject-2.0 -lglib-2.0  
OSSO_MIME_CFLAGS = 
OSSO_MIME_LIBS = 
PACKAGE = xtide
PACKAGE_BUGREPORT = dave@flaterco.com
PACKAGE_NAME = XTide
PACKAGE_STRING = XTide 2.10
PACKAGE_TARNAME = xtide
PACKAGE_VERSION = 2.10
PATH_SEPARATOR = :
PKG_CONFIG = /scratchbox/tools/bin/pkg-config
POFILES = 
POSUB = po
PO_IN_DATADIR_FALSE = 
PO_IN_DATADIR_TRUE = 
RANLIB = ranlib
SED = /scratchbox/tools/bin/sed
SET_MAKE = 
SHELL = /bin/sh
STRIP = strip
USE_NLS = yes
VERSION = 2.10
XGETTEXT = /scratchbox/tools/bin/xgettext
XMKMF = 
X_CFLAGS = 
X_EXTRA_LIBS = 
X_LIBS = 
X_PRE_LIBS =  -lSM -lICE
YACC = bison -y
YFLAGS = 
ac_ct_CC = gcc
ac_ct_CXX = g++
ac_ct_F77 = 
am__fastdepCC_FALSE = #
am__fastdepCC_TRUE = 
am__fastdepCXX_FALSE = #
am__fastdepCXX_TRUE = 
am__include = include
am__leading_dot = .
am__quote = 
bindir = ${exec_prefix}/bin

=== build_x86/po/Makefile ===
# Makefile for program source directory in GNU NLS utilities package.
# Copyright (C) 1995, 1996, 1997 by Ulrich Drepper <drepper@gnu.ai.mit.edu>
#
# This file file be copied and used freely without restrictions.  It can
# be used in projects which are not available under the GNU Public License
# but which still want to provide support for the GNU gettext functionality.
# Please note that the actual code is *not* freely available.
#
# - Modified by Owen Taylor <otaylor@redhat.com> to use GETTEXT_PACKAGE
#   instead of PACKAGE and to look for po2tbl in ./ not in intl/
#
# - Modified by jacob berkman <jacob@ximian.com> to install
#   Makefile.in.in and po2tbl.sed.in for use with glib-gettextize
#
# - Modified by Rodney Dawes <dobey@novell.com> for use with intltool
#
# We have the following line for use by intltoolize:
# INTLTOOL_MAKEFILE

GETTEXT_PACKAGE = @GETTEXT_PACKAGE@
PACKAGE = xtide
VERSION = 2.10

SHELL = /bin/sh

srcdir = ../../po
top_srcdir = ../..
top_builddir = ..
VPATH = ../../po

prefix = /usr/local
exec_prefix = ${prefix}
datadir = ${datarootdir}
datarootdir = ${prefix}/share
libdir = ${exec_prefix}/lib
DATADIRNAME = share
itlocaledir = $(prefix)/$(DATADIRNAME)/locale
subdir = po
install_sh = /home/mike/projects/xtide/xtide-svn/install-sh
# Automake >= 1.8 provides mkdir -p -- ..
# Until it can be supposed, use the safe fallback:
mkdir_p = $(install_sh) -d

INSTALL = /scratchbox/tools/bin/install -c
INSTALL_DATA = ${INSTALL} -m 644

GMSGFMT = /scratchbox/tools/bin/msgfmt
MSGFMT = /scratchbox/tools/bin/msgfmt
XGETTEXT = /scratchbox/tools/bin/xgettext
INTLTOOL_UPDATE = /scratchbox/devkits/doctools/bin/intltool-update
INTLTOOL_EXTRACT = /scratchbox/devkits/doctools/bin/intltool-extract
MSGMERGE = INTLTOOL_EXTRACT=$(INTLTOOL_EXTRACT) srcdir=$(srcdir) $(INTLTOOL_UPDATE) --gettext-package $(GETTEXT_PACKAGE) --dist
GENPOT   = INTLTOOL_EXTRACT=$(INTLTOOL_EXTRACT) srcdir=$(srcdir) $(INTLTOOL_UPDATE) --gettext-package $(GETTEXT_PACKAGE) --pot

ALL_LINGUAS = 

PO_LINGUAS=$(shell if test -r $(srcdir)/LINGUAS; then grep -v "^\#" $(srcdir)/LINGUAS; fi)

USER_LINGUAS=$(shell if test -n "$(LINGUAS)"; then LLINGUAS="$(LINGUAS)"; ALINGUAS="$(ALL_LINGUAS)"; for lang in $$LLINGUAS; do if test -n "`grep ^$$lang$$ $(srcdir)/LINGUAS`" -o -n "`echo $$ALINGUAS|grep ' ?$$lang ?'`"; then printf "$$lang "; fi; done; fi)

USE_LINGUAS=$(shell if test -n "$(USER_LINGUAS)"; then LLINGUAS="$(USER_LINGUAS)"; else if test -n "$(PO_LINGUAS)"; then LLINGUAS="$(PO_LINGUAS)"; else LLINGUAS="$(ALL_LINGUAS)"; fi; fi; for lang in $$LLINGUAS; do printf "$$lang "; done)

POFILES=$(shell LINGUAS="$(USE_LINGUAS)"; for lang in $$LINGUAS; do printf "$$lang.po "; done)

DISTFILES = ChangeLog Makefile.in.in POTFILES.in $(POFILES)
EXTRA_DISTFILES = POTFILES.skip Makevars LINGUAS

POTFILES = \

CATALOGS=$(shell LINGUAS="$(USE_LINGUAS)"; for lang in $$LINGUAS; do printf "$$lang.gmo "; done)

.SUFFIXES:
.SUFFIXES: .po .pox .gmo .mo .msg .cat

.po.pox:
	$(MAKE) $(GETTEXT_PACKAGE).pot
	$(MSGMERGE) $< $(GETTEXT_PACKAGE).pot -o $*.pox

.po.mo:
	$(MSGFMT) -o $@ $<

.po.gmo:
	file=`echo $* | sed 's,.*/,,'`.gmo \
	  && rm -f $$file && $(GMSGFMT) -o $$file $<

.po.cat:
	sed -f ../intl/po2msg.sed < $< > $*.msg \
	  && rm -f $@ && gencat $@ $*.msg


all: all-yes

all-yes: $(CATALOGS)
all-no:

$(GETTEXT_PACKAGE).pot: $(POTFILES)
	$(GENPOT)

install: install-data
install-data: install-data-yes
install-data-no: all
install-data-yes: all
	$(mkdir_p) $(DESTDIR)$(itlocaledir)
	linguas="$(USE_LINGUAS)"; \
	for lang in $$linguas; do \
	  dir=$(DESTDIR)$(itlocaledir)/$$lang/LC_MESSAGES; \
	  $(mkdir_p) $$dir; \
	  if test -r $$lang.gmo; then \
	    $(INSTALL_DATA) $$lang.gmo $$dir/$(GETTEXT_PACKAGE).mo; \
	    echo "installing $$lang.gmo as $$dir/$(GETTEXT_PACKAGE).mo"; \
	  else \
	    $(INSTALL_DATA) $(srcdir)/$$lang.gmo $$dir/$(GETTEXT_PACKAGE).mo; \
	    echo "installing $(srcdir)/$$lang.gmo as" \
		 "$$dir/$(GETTEXT_PACKAGE).mo"; \
	  fi; \
	  if test -r $$lang.gmo.m; then \
	    $(INSTALL_DATA) $$lang.gmo.m $$dir/$(GETTEXT_PACKAGE).mo.m; \
	    echo "installing $$lang.gmo.m as $$dir/$(GETTEXT_PACKAGE).mo.m"; \
	  else \
	    if test -r $(srcdir)/$$lang.gmo.m ; then \
	      $(INSTALL_DATA) $(srcdir)/$$lang.gmo.m \
		$$dir/$(GETTEXT_PACKAGE).mo.m; \
	      echo "installing $(srcdir)/$$lang.gmo.m as" \
		   "$$dir/$(GETTEXT_PACKAGE).mo.m"; \
	    else \
	      true; \
	    fi; \
	  fi; \
	done

# Empty stubs to satisfy archaic automake needs
dvi info tags TAGS ID:

# Define this as empty until I found a useful application.
install-exec installcheck:

uninstall:
	linguas="$(USE_LINGUAS)"; \
	for lang in $$linguas; do \
	  rm -f $(DESTDIR)$(itlocaledir)/$$lang/LC_MESSAGES/$(GETTEXT_PACKAGE).mo; \
	  rm -f $(DESTDIR)$(itlocaledir)/$$lang/LC_MESSAGES/$(GETTEXT_PACKAGE).mo.m; \
	done

check: all $(GETTEXT_PACKAGE).pot
	rm -f missing notexist
	srcdir=$(srcdir) $(INTLTOOL_UPDATE) -m
	if [ -r missing -o -r notexist ]; then \
	  exit 1; \
	fi

mostlyclean:
	rm -f *.pox $(GETTEXT_PACKAGE).pot *.old.po cat-id-tbl.tmp
	rm -f .intltool-merge-cache

clean: mostlyclean

distclean: clean
	rm -f Makefile Makefile.in POTFILES stamp-it
	rm -f *.mo *.msg *.cat *.cat.m *.gmo

maintainer-clean: distclean
	@echo "This command is intended for maintainers to use;"
	@echo "it deletes files that may require special tools to rebuild."
	rm -f Makefile.in.in

distdir = ../$(PACKAGE)-$(VERSION)/$(subdir)
dist distdir: $(DISTFILES)
	dists="$(DISTFILES)"; \
	extra_dists="$(EXTRA_DISTFILES)"; \
	for file in $$extra_dists; do \
	  test -f $(srcdir)/$$file && dists="$$dists $(srcdir)/$$file"; \
	done; \
	for file in $$dists; do \
	  test -f $$file || file="$(srcdir)/$$file"; \
	  ln $$file $(distdir) 2> /dev/null \
	    || cp -p $$file $(distdir); \
	done

update-po: Makefile
	$(MAKE) $(GETTEXT_PACKAGE).pot
	tmpdir=`pwd`; \
	linguas="$(USE_LINGUAS)"; \
	for lang in $$linguas; do \
	  echo "$$lang:"; \
	  result="`$(MSGMERGE) -o $$tmpdir/$$lang.new.po $$lang`"; \
	  if $$result; then \
	    if cmp $(srcdir)/$$lang.po $$tmpdir/$$lang.new.po >/dev/null 2>&1; then \
	      rm -f $$tmpdir/$$lang.new.po; \
            else \
	      if mv -f $$tmpdir/$$lang.new.po $$lang.po; then \
	        :; \
	      else \
	        echo "msgmerge for $$lang.po failed: cannot move $$tmpdir/$$lang.new.po to $$lang.po" 1>&2; \
	        rm -f $$tmpdir/$$lang.new.po; \
	        exit 1; \
	      fi; \
	    fi; \
	  else \
	    echo "msgmerge for $$lang.gmo failed!"; \
	    rm -f $$tmpdir/$$lang.new.po; \
	  fi; \
	done

Makefile POTFILES: stamp-it
	@if test ! -f $@; then \
	  rm -f stamp-it; \
	  $(MAKE) stamp-it; \
	fi

stamp-it: Makefile.in.in $(top_builddir)/config.status POTFILES.in
	cd $(top_builddir) \
	  && CONFIG_FILES=$(subdir)/Makefile.in CONFIG_HEADERS= CONFIG_LINKS= \
	       $(SHELL) ./config.status

# Tell versions [3.59,3.63) of GNU make not to export all variables.
# Otherwise a system limit (for SysV at least) may be exceeded.
.NOEXPORT:

=== debian/changelog ===
gtktide (2.10) fremantle; urgency=low

  * porting to maemo 5 ui


 -- Mike Morrison <mike_morrison@alumni.uvic.ca>  Fri,  30 Apr 2010 00:31:00 -0700

gtktide (2.10) diablo; urgency=low

  * improved drawing speed

 -- Mike Morrison <mike_morrison@alumni.uvic.ca>  Sat,  28 Mar 2008 01:52:23 -0700

gtktide (2.10-RC1) diablo; urgency=low

  * new port

 -- Mike Morrison <mike_morrison@alumni.uvic.ca>  Sat,  16 Feb 2008 23:02:23 -0800

=== debian/control ===
Source: gtktide
Section: user/science
Priority: optional
Maintainer: Mike Morrison <mike_morrison@aulumni.uvic.ca>
Build-Depends: debhelper (>= 4.0.0), libpng12-dev, libgtk2.0-dev, libcairo2-dev, libglade2-dev, libhildon1-dev, libhildonfm2-dev, libhildonmime-dev, liblocation-dev
Standards-Version: 3.7.2

Package: gtktide
Architecture: any
Depends:  ${shlibs:Depends}
Conflicts: xtide
Description: provides tide and current predictions
 GtkTide is a package that provides tide and current predictions in a wide
 variety of formats. Graphs, text listings, and calendars can be generated.
 .
 The algorithm that XTide uses to predict tides is used by the National
 Ocean Service in the U.S. It is significantly more accurate than the
 simple tide clocks that can be bought in novelty stores. However, it takes
 more to predict tides accurately than just a spiffy algorithm -- data are
 required for every tidal prediction location.  
 .
 Web Page: http://mike.yi.org/projects/gtktide/
XB-Maemo-Icon-26:
 iVBORw0KGgoAAAANSUhEUgAAABoAAAAaCAYAAACpSkzOAAAAAXNSR0IArs4c6QAAAAZiS0dEAP8A
 /wD/oL2nkwAAAAlwSFlzAAALEwAACxMBAJqcGAAAAAd0SU1FB9gKBwMNJRkyAKkAAAR8SURBVEjH
 rZZdaBxVFIC/O3NndpP9TbL56Y9tTTWpJtJWSrHFB0tbLFYQRMFKHwUVFB/0pQ9iXwVFxAcRoQha
 FBRBkaK0KogUa9XaH0mbNG43SdPsbrbZbPZ/Zu71YXeTbNI/Gg/M351z7nfOuWfuHHHm/FWdyuRx
 XQUahCmxLD8ajdbUDgDdeNbzY67rUi3lUU3jzXogkJYfmZrOc2V8BsdVKKUxpY2vJbhgWL8qvQhc
 v3ecKoW57BJdvQBWgDDwtQSRk8k5Lo5mqFRclNZIu4VAUDV5rpZGU79WymVmZ9J1zxVKgWo4pWpA
 YZiEIh5yMplj6PI0hbKL1hrbHyAaNdE0PGtOl14UWalUZDqVQWt4uG+C3duHePvobjyvlkLL9HCU
 j1inhUxnioyMz5IrOmztFZQqirFUYNHa1E6Ne82CFAolplIFtIZnHjvP3m0nOX6qg6uZIIcOnuC3
 f9bz7ld7sFurSMcz0bSzcVWSRwdsPv+pk/ZoBL80MADDEBiGIOcVyHlFFosCPKWJBiokptoxTY9P
 3zrCyFgP2XwLI1djNeeUQmrlUCqnefF5OPJ9kWw1jUTgaItWy6bgVPA8jaM8lootFe+/+i2PDCSI
 Refo6ZgFoH/DNY6dHOT46T5qBetiPvXEG4d1LkJY3ItZ3Miq1vUYUhCVfvzCpsuK0iEjGAIKXqUJ
 VK66jE+6PLh+mq39YwjR7MTOwQQ/n+nHNIOY/dv3Hz5xbogD+8awQgmO/pFCtEiybomsWyTt5Eg7
 s8sgAI7rcDEOZ0bWsHfbCO2Rwvy7ofhqtvSNo5XN36N9yMaLj48pPjtkkshofr1cqyohINrqMVMw
 uZW89uwvJDNhrlxrp39diolUG4c+2s+FRBdV109PzFsAnbqkeeUDjzcPFnlh3wT/Jm2GJ318czp0
 S4ghNJnZIF+OruaLH7fwzsvfceDx38mXLUoViWnWdhW52OiHPzUnh1t5oLeLUlVQrBrcTpQWHP5k
 z/zz6x8+CcDwRGxBaSmoZgiZvMndSr5k89J7T9d3izoHMFiRiBuOLoY0UCsCCSFuq9NgrjCiOxT9
 P0RkSk2gUyBMccvkypWAgp05duy+gts2wFSqj/GvL+CV3aXegLhN6lpi0/Ts+AtrZwSj215krAmt
 S7B252n8YaemuypEz577bjrXTSMK3TNOx8A5MH0Iy0Z2+dAzDr7rCcLhs/gi2WU24b5OZjemyY9m
 mlOnNYYM2Msha8eJDZ5FGKo5C20W/g2lG0Ias3bv6sWwzWWVaYQ3r8EK+ebT2bVpkthDZ0Hou1o3
 O+Kne1fvQhUITXhDHCmDPtY9t5nw8CW6I38R6iyvuJqjgz0Y0qQaH2ZNbxzLN1FbI9Mnad8UIOTe
 CeTOIg1v6qTt/lFanDy5KZALhks2p3qfoLUGpdAIQKOUQnlq/kPUgFIOSlVqv22t682FxnHLmE4V
 t1xFunNZytPX8CpJLKfWo1Hvz7QCjU3BuDzfs2kvgeul0KreIGpNyYgzJ+xGyzQ/h/Li+Lwkhetz
 /Ae0630uh0XoHwAAAABJRU5ErkJggg==

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1

export DH_COMPAT=4

# These are used for cross-compiling and for saving the configure script
# from having to guess our platform (since we know it already)
DEB_HOST_GNU_TYPE   ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
DEB_BUILD_GNU_TYPE  ?= $(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)


#CFLAGS = -Wall -g
CFLAGS = -Wall
#CXXFLAGS = -O2 -mcpu=arm1136j-s -mfpu=vfp -mfloat-abi=softfp
CXXFLAGS = -O2

ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
	CFLAGS += -O0
else
	#CFLAGS += -O2 -mcpu=arm1136j-s -mfpu=vfp -mfloat-abi=softfp
	CFLAGS += -O2
endif

config.status: configure
	dh_testdir
	# Add here commands to configure the package.
	CFLAGS="$(CFLAGS)" CXXFLAGS="$(CXXFLAGS)" ./configure --host=$(DEB_HOST_GNU_TYPE) --build=$(DEB_BUILD_GNU_TYPE) --prefix=/usr --mandir=\$${prefix}/share/man --infodir=\$${prefix}/share/info --with-build-config=maemo --without-xtide --without-xttpd




build: build-stamp

build-stamp:  config.status
	dh_testdir

	# Add here commands to compile the package.
	$(MAKE)
	#docbook-to-man debian/xtide.sgml > xtide.1

	touch build-stamp

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp 

	# Add here commands to clean up after the build process.
	-$(MAKE) distclean
ifneq "$(wildcard /usr/share/misc/config.sub)" ""
	cp -f /usr/share/misc/config.sub config.sub
endif
ifneq "$(wildcard /usr/share/misc/config.guess)" ""
	cp -f /usr/share/misc/config.guess config.guess
endif


	dh_clean 

install: build
	dh_testdir
	dh_testroot
	dh_clean -k 
	dh_installdirs

	# Add here commands to install the package into debian/xtide.
	$(MAKE) install DESTDIR=$(CURDIR)/debian/gtktide


# Build architecture-independent files here.
binary-indep: build install
# We have nothing to do by default.

# Build architecture-dependent files here.
binary-arch: build install
	dh_testdir
	dh_testroot
	dh_installchangelogs ChangeLog
	dh_installdocs
	dh_installexamples
#	dh_install
#	dh_installmenu
	dh_installmenu
#	dh_installdebconf	
#	dh_installlogrotate
#	dh_installemacsen
#	dh_installpam
#	dh_installmime
#	dh_installinit
#	dh_installcron
#	dh_installinfo
	dh_installman
# following two are ubuntu specific
	dh_desktop
#	dh_iconcache
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
#	dh_perl
#	dh_python
#	dh_makeshlibs
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install
